#pragma once

#include <stdbool.h>

struct app_args;
struct http_server;
struct http_request;

struct http_server_args
{
	char* bind_address;
	int bind_port;
};

typedef void (*http_server_handler)( struct http_request*, void* handler_data );

struct http_server* http_server_new( struct http_server_args* args, http_server_handler handler, void* handler_data );
void http_server_process( struct http_server* srv );
void http_server_release( struct http_server* srv );
void http_server_set_debug( struct http_server* srv, bool debug );

